Anonymize entity
Deprecated
POST
Anonymize the requested entity (user or conversation). For a conversation to be successfully anonymized, it should be in the status closed. Otherwise, it requires forceAnonymization parameter set to true in the input body. NOTE: This endpoint is deprecated. Prefer using the anonymization endpoints of specific resources instead.
ApiKeyAuth anonymizationheader
Authorization<token>Scope: anonymization
A request to anonymize an entity in the system (user or conversation).
application/json- body
entityId*stringentityType?|||DeprecatedReplaced by _type field
forceAnonymization?boolean_type?stringvalues: [Conversation, Message, User]
The anonymization request status
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/anonymization' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "entityId": "a53b25da-f676-4c52-acac-58c9280aa23d", "_type": "User"}'{}
"data": {}
"id": "a53b25da-f676-4c52-acac-58c9280aa23d",
"entityType": "UserAnonymizationType",
"_type": "User",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "6292b720-9dbd-4ff7-8942-f4e917cc1520",
"requestedBy": "062f0b37-4de0-40f2-95a4-641435cb2869"